dbg_ptr_allocator Class Reference

## Static Public Member Functions

static void * | allocate (size_t n, const void *)
static void | deallocate (void *p, size_t)
static int | balance ()

## Static Public Attributes

static unsigned | na_ = 0
static unsigned | nf_ = 0

## Detailed Description

Examples
  sample6.cpp.

Definition at line 77 of file sample6.cpp.

## Member Function Documentation

## allocate()

void * dbg_ptr_allocator::allocate | ( | size_t | n,
|  | const void * | )

inline static

Examples
  sample6.cpp.

Definition at line 83 of file sample6.cpp.

References na_.

## balance()

int dbg_ptr_allocator::balance | ( |  | ) |

inline static

Examples
  sample6.cpp.

Definition at line 101 of file sample6.cpp.

References na_, and nf_.

Referenced by main().

## deallocate()

void dbg_ptr_allocator::deallocate | ( | void * | p,
|  | size_t | )

inline static

Examples
  sample6.cpp.

Definition at line 93 of file sample6.cpp.

References nf_.

## Field Documentation

## na_

unsigned dbg_ptr_allocator::na_ = 0

static

Examples
  sample6.cpp.

Definition at line 80 of file sample6.cpp.

Referenced by allocate(), balance(), and main().

## nf_

unsigned dbg_ptr_allocator::nf_ = 0

static

Examples
  sample6.cpp.

Definition at line 81 of file sample6.cpp.

Referenced by balance(), and deallocate().

The documentation for this class was generated from the following file:

- sample6.cpp